Doomsday Engine - Feature #1547

Command for manipulating numeric controls
2011-10-02 16:57 - vermil

Status: New Start date: 2011-10-02
Priority: Low % Done: 0%
Assignee:

Category: Enhancement

Target version: Modding

Description

There is no impulse command for attacking.
Also, no error message is printed when one inputs an unknown impulse.

Labels: Controls

Related issues:
Related to Feature #1512: List all impulses in context help for ccmd impulse New 2010-03-31

History

#1 - 2013-10-22 12:06 - skyjake
- Tags set to Input, Scripting
- Subject changed from Attack impulse command to Command for manipulating numeric controls

- Priority changed from Normal to Lowest

This is because the Attack control is not implemented as an impulse (which does not have a time duration component), but instead as a 'numeric'
control that can sustain an active state for a period of time.

I've repurposed the feature for a command that can be used to manipulate the current value of any numeric control, making it possible to set one into
the active state for a certain period of time when used together with "after".

#2 - 2013-10-22 12:06 - skyjake

- Priority changed from Lowest to Normal

#3 - 2019-11-29 19:09 - skyjake
- Category set to Enhancement
- Priority changed from Normal to Low

- Target version set to Modding
